Save vector as CSV does not add x,y columns anymore

2017-11-04 10:47 PM - JW van Aalst

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.18.13 Regression?: No

Operating System: Windows 10, latest update Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25294

Description

Since QGIS 2.18, when exporting a point layer as a marker separated text file (.csv), no x and y columns are added to the output file, even

though this option is explicitly marked. Only the well-known text (WKT) option still seems to work.

This was tested in QGIS 2.18.9, 2.18.10 and 2.18.13 on a Windows 10 machine.

History

#1 - 2017-11-05 09:40 AM - Giovanni Manghi

- Category changed from Unknown to Vectors

- Status changed from Open to Feedback

I just tried on 2.18.14 and works as expected.

#2 - 2017-11-05 09:45 AM - JW van Aalst

I will test in 2.18.14 and report back here.

#3 - 2017-11-05 09:46 AM - Giovanni Manghi

- Subject changed from Export layer as marker separated text file (csv) does not add x,y columns to the file anymore to Save vector as CSV does not 

add x,y columns anymore

#4 - 2017-11-06 09:39 AM - JW van Aalst

Tested in QGIS 2.18.14 and works indeed as expected.

Issue solved. Thank you.

#5 - 2017-11-06 10:55 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
